Installer - Feature #29005

Provision a DNS server on IPv6-only
02/13/2020 05:14 PM - Ewoud Kohl van Wijngaarden

Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/521,
https://github.com/theforeman/puppet-for
eman_proxy/pull/562

2.1.0

Description

Currently the DNS deployment is tied to IPv4-only without IPv6 support. It should be possible to deploy on servers without IPv4

present.

Related issues:
Related to Foreman - Tracker #28683: IPv6 only support

New

Associated revisions

Revision fecf9c8b - 02/18/2020 03:17 PM - Ewoud Kohl van Wijngaarden
Fixes #29005 - Make IPv4 optional in proxydns

Revision 7cfe55cd - 02/18/2020 03:20 PM - Ewoud Kohl van Wijngaarden
Refs #29005 - Require theforeman/dns 7.x

fecf9c8b8bc3a50bdc0ace5e96840fae90c9d240 started to depend on parameters
only present in 7.0.0, but was merged before it could be added.

History

#1 - 02/13/2020 05:14 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/521 added

#2 - 02/13/2020 05:14 PM - Ewoud Kohl van Wijngaarden
- Related to Tracker #28683: IPv6 only support added

#3 - 02/18/2020 03:17 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#4 - 02/18/2020 03:22 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/562 added

#5 - 02/18/2020 04:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|fecf9c8b8bc3a50bdc0ace5e96840fae90c9d240.
